GDB (xrefs)

Public Attributes | List of all members
exception_support_info Struct Reference

## Public Attributes
const char * | catch_exception_sym
const char * | catch_exception_unhandled_sym
const char * | catch_assert_sym
const char * | catch_handlers_sym
ada_unhandled_exception_name_addr_ftype * | unhandled_exception_name_addr

## Detailed Description

Definition at line 12025 of file ada-lang.c.

## Member Data Documentation

## ◆ catch_assert_sym

const char* exception_support_info::catch_assert_sym

Definition at line 12037 of file ada-lang.c.

Referenced by ada_exception_sym_name().

## ◆ catch_exception_sym

const char* exception_support_info::catch_exception_sym

Definition at line 12029 of file ada-lang.c.

Referenced by ada_exception_sym_name(), ada_has_this_exception_support(), and ada_unhandled_exception_name_addr_from_raise().

## ◆ catch_exception_unhandled_sym

const char* exception_support_info::catch_exception_unhandled_sym

Definition at line 12033 of file ada-lang.c.

Referenced by ada_exception_sym_name().

## ◆ catch_handlers_sym

const char* exception_support_info::catch_handlers_sym

Definition at line 12041 of file ada-lang.c.

Referenced by ada_exception_sym_name().

## ◆ unhandled_exception_name_addr

ada_unhandled_exception_name_addr_ftype* exception_support_info::unhandled_exception_name_addr

Definition at line 12047 of file ada-lang.c.

Referenced by ada_exception_name_addr_1().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/ada-lang.c